package com.badlogic.drop

import com.badlogic.gdx.Game
import com.badlogic.gdx.Gdx
import com.badlogic.gdx.graphics.g2d.BitmapFont
import com.badlogic.gdx.graphics.g2d.SpriteBatch
import com.badlogic.gdx.utils.viewport.FitViewport

class Drop : Game() {
    lateinit var batch: SpriteBatch
    lateinit var font: BitmapFont
    //lateinit var viewport: FitViewport // Use camera instead of viewport

    override fun create(): Unit {
        batch = SpriteBatch()
        //viewport = FitViewport(8f, 5f)
        /*font = BitmapFont().apply {
            setUseIntegerPositions(false)
            data.scale(viewport.worldHeight / Gdx.graphics.height)
        }*/
        font = BitmapFont()

        this.screen = MainMenuScreen(this)
    }

    override fun render() {
        super.render()
    }

    override fun dispose() {
        batch.dispose()
        font.dispose()
    }
}
